---
title: Retrieve a Single Link
description: Retrieve a single link object by its UUID using the Content Delivery API.
url: https://storyblok.com/docs/api/content-delivery/v2/links/retrieve-single-link
---

# Retrieve a Single Link

Returns a single [link object](/docs/api/content-delivery/v2/links/the-link-object) for the specified `UUID`.

GET

```html
https://api.storyblok.com/v2/cdn/links/:uuid
```

## Path parameters

-   `:uuid` (string)
    
    The UUID of the link.
    

## Query parameters

-   `include_dates` (string)
    
    Include or exclude the `created_at`, `updated_at` and `published_at` fields. To include these date fields in the response, set to `1`. To exclude, set to `0` or omit the parameter.
    
-   `cv` (number)
    
    Cached version Unix timestamp (learn more in the [Caching concept](/docs/concepts/caching)).
    
-   `token` (required) (string)
    
    A preview or public [access token](/docs/concepts/access-tokens).
    

## Response properties

-   `link` (object)
    
    A [link object](/docs/api/content-delivery/v2/links/the-link-object).
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://api.storyblok.com/v2/cdn/links/:uuid\
    ?token=krcV6QGxWORpYLUWt12xKQtt\
    &version=published\
    &starts_with=articles"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      accessToken: "krcV6QGxWORpYLUWt12xKQtt",
    });
    
    try {
      const response = await storyblok.get('cdn/links/:uuid', {
        "version": "published",
        "starts_with": "articles"
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\Client('YOUR_STORYBLOK_SPACE_ACCESS_TOKEN');
    
    $client->getLinks([
      "version" => "published",
      "starts_with" => "articles"
    ])->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://api.storyblok.com/v2/cdn/links/:uuid?token=krcV6QGxWORpYLUWt12xKQtt&version=published&starts_with=articles")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://api.storyblok.com/v2/cdn/links/:uuid?token=krcV6QGxWORpYLUWt12xKQtt&version=published&starts_with=articles");
    var request = new RestRequest(Method.GET);
    
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://api.storyblok.com/v2/cdn/links/:uuid"
    
    querystring = {"token":"krcV6QGxWORpYLUWt12xKQtt","version":"published","starts_with":"articles"}
    
    payload = ""
    headers = {}
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(token: 'YOUR_TOKEN')
    
    client.links({:params => {
      "version" => "published",
      "starts_with" => "articles"
    }})
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .cdn(accessToken: "krcV6QGxWORpYLUWt12xKQtt"))
    var request = URLRequest(storyblok: storyblok, path: "links/:uuid")
    request.url!.append(queryItems: [
        URLQueryItem(name: "version", value: "published"),
        URLQueryItem(name: "starts_with", value: "articles")
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(CDN)) {
            accessToken = "krcV6QGxWORpYLUWt12xKQtt"
        }
    }
    
    val response = client.get("links/:uuid") {
        url {
            parameters.append("version", "published")
            parameters.append("starts_with", "articles")
        }
    }
    
    println(response.body<JsonElement>())
    ```

```json
{
 "link": {
   "660452d2-1a68-4493-b5b6-2f03b6fa722b": {
     "id": 444996765,
     "uuid": "660452d2-1a68-4493-b5b6-2f03b6fa722b",
     "slug": "articles/earths-symphony-navigating-wonders-challenges-blue-oasis",
     "path": null,
     "parent_id": 444991588,
     "name": "Earth's Symphony: Navigating the Wonders and Challenges of Our Blue Oasis",
     "is_folder": false,
     "published": true,
     "is_startpage": false,
     "position": 0,
     "real_path": "/articles/earths-symphony-navigating-wonders-challenges-blue-oasis"
   }
 }
}
```

## Pagination

-   [Previous: Sorting by Story Object Property](/docs/api/content-delivery/v2/stories/examples/sorting-by-story-object-property)
-   [Next: Retrieve Multiple Links](/docs/api/content-delivery/v2/links/retrieve-multiple-links)
